1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Logic 9 Logic 9 on a PowerPC?

Discussion in 'Logic 9' started by jshiffma, Dec 23, 2009.

  1. jshiffma

    jshiffma New Member

    Hi all,

    I recently bought the Logic Studio 9 upgrade (currently on Logic 8). Arrived in the mail today and I checked the package before opening and found that it requires an Intel Mac. I'd love to know if it's at all possible to have a working install on a PowerPC before opening the software to give it a shot, since one I open it, I've offically bought it.

    In searching threads, it seems a lot of people have talked about the possibilities of it either installing, or being locked out, but is anyone currently using an install Logic 9 on a PowerPC system? Or is it definitely built OUT of this current version?

    Any help is greatly appreciated,

  3. stv_collins

    stv_collins New Member


    I installed the Logic 9 upgrade on my PowerMac G5 (dual 2 gHz)/Leopard when it came out a few months ago & have been using it ever since without a problem. The installer ran fine; it just didn't install Soundtrack Pro & maybe Compressor. This wasn't a problem for me; it wasn't a surprise either, because I had read about these limitations somewhere before I bought it. Waveburner & the core Logic app, all the loops, plugins etc. installed & ran fine. I haven't been using the program really heavily, but for the installed elements, I haven't run into something that doesn't work yet.

    I bought it at the time because it looked like the essential Logic Pro functionality would be there & I was planning to replace my G5 within a year or so, anyway. (Turns out I bought a new iMac for myself for Christmas.)

  4. JuanTahnahmahrah

    JuanTahnahmahrah Senior member

    I posted this link before, under another (12/17) thread titled "Jump to Logic 9 from 6.4"


    It's an amusing video of installing 9 on on a G5. Also check out that "6.4 to 9" thread for explanations why an Intel might be better. You need Leopard 10.5.7 for sure. You eventually will get locked out, once Apple recompiles the code, but right now it is still universal binary. However, it is unsupported. And I think versions of ProTools 8.0.3 and later support Snow Leopard, but will not run on a PPC. I also noticed there is a product made by Celemony that has its own version of Flextime (Melodyne3 Studio) with a minimum processor of G5 "dual core" (i.e., the final PCIe G5 as opposed to the re-vamped Intel CPU based Mac Pro). Possibly Flextime, too, requires that extra zip that comes from having two cores inside the same CPU. Actually, the reviews I have read of the final PPC quad-core G5 (PCIe version) imply that it was even faster (for some applications) than the original Intel quad-core Mac Pro. But the current "Mayhem" processor is supposed to take the cake.
  5. Robert Wilson

    Robert Wilson Senior member

    Not entirely accurate. I installed Logic 9.0.2 on a 10.5.3 machine with 512MB RAM. I had to use a programme called Pacifist rather than the official installer but it works.
  6. Uwe Rodi

    Uwe Rodi Member

    I work on a Power Mac G5 2x2Ghz (the old model with 2 Prozessors) with Leopard and Logic 9.0.2.
    Sometimes I get an "disk too slow" message but normaly all runs fine (I have the feeling even better than with Logic 8)
  7. Mars

    Mars New Member

    Working fine on an iBook G4 and Mac Mini G4 - issues with SoundTrack Pro though. Not recommended if you use STP regularly
  8. Kaatza Music

    Kaatza Music New Member

    I just installed it on a Power Mac G5 dual 2.7 Ghz with 8 Gb Ram and Leopard 10.5.8. It is working great!

    I played all of the demos, no pops, crackles or glitches.
    The Fear - with full screen of the movie playing averaged about 50% CPU load and peaked at about 70%.
    Spaceman - with full screen of the movie playing averaged about 30% CPU load and peaked at about 50%.
    The Numbers Game - averaged about 20% CPU load and peaked at 30%.
    You'll Find a Way - averaged only about 5% CPU load and peaked at about 15%,
    Logic 9 seemed to distribute the load pretty well between the 2 processors.

    I also opened several of my Logic 7 projects and they sound great too. The conversion went well, only a couple of Melodyne Editor parts that didn't render correctly, but that's no big deal. I don't know if it's my imagination or not, but I think my Logic 7 projects sound better in Logic 9: smoother, fuller. As a G5 user, I think the upgrade was well worth the price.

    As far as not being able to install Compressor 3.5 and Sound Track Pro, that isn't a big deal as they are mainly for video editing.

    I downloaded the 9.0.1 and 9.0.2 upgrades, but when I try to install them it says that my computer doesn't need these upgrades. Not sure what that is all about because I am only running 9.0.0???
  9. esteso

    esteso New Member

    I'm having a few issues with my G5. Logic seems to lose the ability to use key commands once in a while (yes, I am in the correct window) and I have to restart to get functionality back. And I have a "Please Quit Rewire Applications first" upon quit, which is not true 'cause I don't have any open. I have to force quit. All in all not too bad.

    These issues haven't surfaced on my MBP yet.
  10. Markdvc

    Markdvc Administrator Staff Member

    That almost certainly means, either logic is not residing in your applications folder, and/or you renamed it. Please refer to FAQ 13 for more details.

    kind regards

  11. Kaatza Music

    Kaatza Music New Member

    estesto: I am using a logic keyboard and installed the custom key commands, so far no problem. I don't use rewire and have not had any error messages regarding that.

    Mark: no, Logic 9 is installed in the Applications folder, but you are right I did rename it to Logic 9. I will fix that and see if it helps. Thanks for the tip.
  12. Kaatza Music

    Kaatza Music New Member

    Interesting. I installed the updates. When I played the demo, The Fear, with Logic 9.0.2, it was about 20% more CPU hungry than with Logic 9.0.0 on my system: averaged about 70% and almost maxed out at a few points. But it still didn't make any pops, clicks or glitches, so I am not too worried about it. There is a lot of stuff in that piece.
  13. Rob Rooster

    Rob Rooster New Member

    Hi Guys,
    I'm using logic 9 on a G5 quad PPC and the only issue I have is that most late plugins are only Intel compatible, however I do have some iZotope plug ins, oZone4 and Nectar which work fine even when I'm piling them on, albeit using a lot of bussing to spread CPU load. I probably don't often run more than 25 tracks, the "overload" window is really rare, even when I'm going nuts on big demand plug ins.
    There is still a lot of "freeware" available too that is well designed like the 'Vladg Molot ' compressor, but the user graphic seems only available on intel macs. The G5 xennon macs are getting affordable now, here in the UK they are dearer than in the US, but an intel12 core is between £750 to£1200 according to spec. so although I really can't say a bad word about my IBM quad, apart from fan noise, the intels are a lot quieter, so I guess it won't be too long until I give in and change.
  14. Rob Rooster

    Rob Rooster New Member

    Ps, does anyone know if there is an SSL CHANNEL STRIP that is IBM compatible?

Share This Page